
Movian - Bug #2767
RPI / Auto-playback of next video
07/29/2015 08:39 AM - Dean Kasabow

Status: Fixed Start date: 07/29/2015
Priority: Normal Due date:
Assignee: Andreas Smas % Done: 0%
Category: Video playback Estimated time: 0.00 hour
Target version: 5.0
Found in version: 4.99.46 (4.10.25) Platform: RPi
Description

The automatic playback of the next video doesn't work in the RPi build (at least with SMB shares).

Related issues:
Duplicates Bug # 2748: Skip forward/backward won't work (regression) Fixed 07/01/2015

History
#1 - 07/31/2015 09:17 AM - Andreas Smas
- Status changed from New to Need feedback

Can you attach a log file?

#2 - 07/31/2015 09:17 AM - Andreas Smas
- Target version set to 5.0

#3 - 07/31/2015 09:28 AM - Dean Kasabow

Andreas Öman wrote:

Can you attach a log file?

00:01:45.664: navigator       [INFO ]:Opening smb://192.168.100.209/_Series/Humans
00:01:45.928: DB              [DEBUG]:Opened database /stos/persistent/showtime/metadb/meta.db pages: free=0 total=162
00:01:51.463: navigator       [INFO ]:Opening smb://192.168.100.209/_Series/Humans/Humans - 1x02.mkv
00:01:51.493: vp              [DEBUG]:Waiting for event
00:01:51.493: vp              [DEBUG]:Playing 'smb://192.168.100.209/_Series/Humans/Humans - 1x02.mkv', primary, resume:yes (overridden)
00:01:51.494: media           [DEBUG]:Settings initialized for URL smb://192.168.100.209/_Series/Humans/Humans - 1x02.mkv in folder: <unset>
[smb://192.168.100.209/_Series/Humans]
00:01:51.498: Freetype        [DEBUG]:Loaded font family='liberation sans' fullname='liberation sans regular' style='Regular' from
bundle:///res/fonts/liberation/LiberationSans-Regular.ttf domain:0
00:01:51.522: SVSYNC          [DEBUG]:Set to 0s
00:01:51.536: RPI             [DEBUG]:Supported audio formats AC3:YES EAC3:NO DTS:NO MLP:NO AAC:NO 8ChPCM:NO
00:01:51.539: AVSYNC          [DEBUG]:Set to 0 ms
00:01:51.714: probe           [DEBUG]:smb://192.168.100.209/_Series/Humans/Humans - 1x02.mkv: Probed as matroska,webm
00:01:52.189: Video           [DEBUG]:Starting playback of smb://192.168.100.209/_Series/Humans/Humans - 1x02.mkv (matroska,webm)
00:01:52.189: Probe           [DEBUG]: Stream #0: Video: h264 (High), yuv420p, 1280x720
00:01:52.189: Probe           [DEBUG]: Stream #1: Audio: aac, 48000 Hz, stereo, fltp
00:01:52.189: media           [DEBUG]:Selecting track libav:1, best score 11
00:01:52.189: Media           [DEBUG]:Switching to audio track libav:1
00:01:52.190: Subscanner      [DEBUG]:Starting subtitle scan for Humans - 1x02 (imdbid:<unknown>) year:0 season:-1 episode:-1 duration:2784
opensubhash:24bd15606fea32d4
00:01:52.191: Video           [DEBUG]: Stream #0: Video: h264 (High), yuv420p, 1280x720
00:01:52.191: Video           [DEBUG]:Scanning for subs in smb://192.168.100.209/_Series/Humans/ for Humans - 1x02
00:01:52.192: OMX             [DEBUG]:Frame rate set to 25.000
00:01:52.194: media           [DEBUG]:Selecting track smb://192.168.100.209/_Series/Humans//Humans - 1x02.srt, best score 5000
00:01:52.195: opensubtitles   [DEBUG]:Attempting to login as anonymous user
00:01:52.197: Media           [INFO ]:Switching to subtitle track smb://192.168.100.209/_Series/Humans//Humans - 1x02.srt
00:01:52.201: Video           [DEBUG]: Stream #0: Codec created
00:01:52.201: Video           [DEBUG]: Stream #1: Audio: aac, 48000 Hz, stereo, fltp
00:01:52.208: Video           [DEBUG]: Stream #1: Codec created
00:01:52.216: audio           [DEBUG]:Codec changed to aac (0x15002)
00:01:52.223: RPI             [DEBUG]:Opening audio output hdmi
00:01:52.248: VideoCore       [DEBUG]:Video decoder output port settings changed to h264 1280x720p (VideoCore) (SAR: 1:1)
00:01:52.250: Audio           [DEBUG]:Converting from [stereo 48000Hz fltp] to [stereo 48000Hz fltp]
00:01:52.298: Subtitles       [DEBUG]:Trying to load smb://192.168.100.209/_Series/Humans//Humans - 1x02.srt
00:01:52.411: Subtitles       [INFO ]:smb://192.168.100.209/_Series/Humans//Humans - 1x02.srt is not valid UTF-8. Decoded as windows-1251
(detected language: ru)
00:01:52.448: Subtitles       [DEBUG]:Loaded smb://192.168.100.209/_Series/Humans//Humans - 1x02.srt OK
00:01:54.054: opensubtitles   [DEBUG]:Cannot send login to opensubtitles: Error: XMLRPC request LogIn to http://api.opensubtitles.org/xml-rpc failed
-- HTTP error: -1
00:02:01.676: opensubtitles   [DEBUG]:Cannot send search query to opensubtitles: Error: XMLRPC request SearchSubtitles to
http://api.opensubtitles.org/xml-rpc failed -- HTTP error: 404
00:41:58.515: Video           [DEBUG]:seek direct to 2385.28 (2385280000 - 0)
00:41:59.773: Video           [DEBUG]:seek direct to 2365.28 (2365280000 - 0)
00:42:02.949: Video           [DEBUG]:seek direct to 2388.36 (2388360000 - 0)
00:46:04.037: Video           [DEBUG]:Playback reached EOF: End of file (-1606004923)
00:48:38.764: Video           [DEBUG]:Playback reached 99%, counting as played (smb://192.168.100.209/_Series/Humans/Humans - 1x02.mkv)
00:48:38.764: Video           [DEBUG]:Stopped playback of smb://192.168.100.209/_Series/Humans/Humans - 1x02.mkv
00:48:39.309: vp              [DEBUG]:Waiting for event
02:00:02.118: CONNMAN         [DEBUG]:Service-signal /net/connman/service/ethernet_b827eb1b8ad2_cable PropertyChanged from :1.1
02:00:02.119: CONNMAN         [DEBUG]:('Timeservers', <['192.168.100.1', '0.pool.ntp.org', '1.pool.ntp.org', '2.pool.ntp.org', '3.pool.ntp.org']>)
02:20:57.390: TV              [DEBUG]:State change 0x00000001 0x00000002 0x00000000
02:21:01.719: TV              [DEBUG]:State change 0x00000002 0x00000001 0x00000010
03:27:58.520: TV              [DEBUG]:State change 0x00000001 0x00000002 0x00000000
03:28:02.949: TV              [DEBUG]:State change 0x00000002 0x00000001 0x00000010

#4 - 07/31/2015 09:34 AM - Dean Kasabow

02:29:30.157: RPI             [DEBUG]:Opening audio output hdmi
02:29:30.167: Subtitles       [DEBUG]:Loaded smb://192.168.100.209/Downloads2/_Series/Humans//Humans - 1x01.srt OK
02:29:30.186: Audio           [DEBUG]:Converting from [stereo 48000Hz fltp] to [stereo 48000Hz fltp]
02:39:47.420: Video           [DEBUG]:seek direct to 601.60 (601600000 - 0)
02:39:48.488: Video           [DEBUG]:seek direct to 582.56 (582560000 - 0)
02:40:01.403: Video           [DEBUG]:seek direct to 614.56 (614560000 - 0)
03:17:46.883: Video           [DEBUG]:Playback reached EOF: End of file (-1606004923)
03:17:52.368: Video           [DEBUG]:seek direct to 2564.52 (2564520000 - 0)
03:18:07.466: Video           [DEBUG]:Playback reached EOF: End of file (-1606004923)
03:20:34.341: Video           [DEBUG]:Playback reached 99%, counting as played (smb://192.168.100.209/Downloads2/_Series/Humans/Humans -
1x01.mkv)
03:20:34.342: Video           [DEBUG]:Stopped playback of smb://192.168.100.209/Downloads2/_Series/Humans/Humans - 1x01.mkv
03:20:34.884: vp              [DEBUG]:Waiting for event
04:00:01.782: CONNMAN         [DEBUG]:Service-signal /net/connman/service/ethernet_b827eb1b8ad2_cable PropertyChanged from :1.1
04:00:01.783: CONNMAN         [DEBUG]:('Timeservers', <['192.168.100.1', '0.pool.ntp.org', '1.pool.ntp.org', '2.pool.ntp.org', '3.pool.ntp.org']>)

#5 - 07/31/2015 09:48 AM - Dean Kasabow

This is the startup log... It is so cool that it boots in just 1.3 seconds. I'd never replace movian with another player!

--MARK-- START
00:00:00.031: SYSTEM          [INFO ]:Movian 4.99.46.g4aa64.dirty starting. 4 CPU cores. Systemtype:Linux/arm OS:STOS 2.1.3.gbb8ba
00:00:00.084: DEV             [DEBUG]:Developer setting 'Enable binreplace' is enabled
00:00:00.085: DEV             [DEBUG]:Developer setting 'Enable omnigrade' is enabled
00:00:00.096: core            [DEBUG]:Loading resources from bundle://
00:00:00.096: core            [DEBUG]:Cache path: /stos/cache/showtime
00:00:00.187: blobcache       [DEBUG]:Cache magic 0x62630207 466 items
00:00:00.487: blobcache       [INFO ]:Initialized: 466 items consuming 9.39 MB (out of maximum 690.10 MB) on disk in /stos/cache/showtime/bc2
00:00:00.488: core            [DEBUG]:Persistent path: /stos/persistent/showtime
00:00:00.498: DB              [DEBUG]:Opened database /stos/persistent/showtime/kvstore/kvstore.db pages: free=0 total=20
00:00:00.557: DB              [DEBUG]:kvstore: At current version 2
00:00:00.583: SQLITE          [INFO ]:Recovered 162 frames from WAL file /stos/persistent/showtime/metadb/meta.db-wal (code: 0x0)
00:00:00.599: DB              [DEBUG]:Opened database /stos/persistent/showtime/metadb/meta.db pages: free=0 total=162
00:00:00.599: DB              [DEBUG]:metadb: At current version 17
00:00:00.839: libav           [INFO ]:Lavf56.1.0, Lavc56.1.0, Lavu54.3.0 cpuflags:0x3f
00:00:00.851: Freetype        [DEBUG]:Loaded font family='liberation sans' fullname='liberation sans regular' style='Regular' from
bundle:///res/fonts/liberation/LiberationSans-Regular.ttf domain:0
00:00:00.858: VideoCore       [INFO ]:MPG2=enabled
00:00:00.859: VideoCore       [INFO ]:VP6=enabled
00:00:00.860: VideoCore       [INFO ]:VP8=enabled
00:00:00.860: VideoCore       [INFO ]:MJPG=enabled
00:00:00.860: VideoCore       [INFO ]:WVC1=enabled
00:00:00.861: VideoCore       [INFO ]:H263=enabled
00:00:00.861: VideoCore       [INFO ]:H264=enabled
00:00:00.861: VideoCore       [INFO ]:THRA=enabled
00:00:00.862: VideoCore       [INFO ]:MPG4=enabled
00:00:00.866: playqueue       [DEBUG]:Nothing on queue, waiting
00:00:00.867: playqueue       [DEBUG]:Shuffle set to off
00:00:00.869: playqueue       [DEBUG]:Repeat set to off
00:00:00.925: i18n            [INFO ]:Unloading language definition
00:00:00.927: i18n            [DEBUG]:Default charset is auto
00:00:00.932: Automount       [ERROR]:Unable to scan /stos/media -- No such file or directory
00:00:00.955: TCP             [INFO ]:http-server: Listening on port 42000
00:00:00.956: TCP             [INFO ]:http-server: Listening on port 80
00:00:00.957: SYSTEM          [DEBUG]:Hashed device ID: cb3e54903bc7897de2c240479abb3ff7
00:00:00.957: SYSTEM          [DEBUG]:Device type: Raspberry Pi-2 Model B (Sony) 1GB
00:00:00.962: AVAHI           [DEBUG]:Client state change 2
00:00:00.963: STOS            [DEBUG]:Asking stos-splash (pid: 75) to stop
00:00:00.967: SSDP            [ERROR]:Unable to join 239.255.255.250: No such device
00:00:00.977: STOS            [DEBUG]:stos-splash is gone
00:00:00.979: TCP             [INFO ]:ftp-server: Listening on port 2121
00:00:00.980: UDP             [INFO ]:nmb: Listening on port 47391
00:00:00.981: UDP             [INFO ]:bittorrent udp tracker: Listening on port 37960
00:00:01.087: AVAHI           [DEBUG]:Client state change 1
00:00:01.087: AVAHI           [DEBUG]:Client state change 2
00:00:01.137: navigator       [INFO ]:Opening page:home
00:00:01.200: CONNMAN         [DEBUG]:Technologies: ([(objectpath '/net/connman/technology/ethernet', {'Name': <'Wired'>, 'Type': <'ethernet'>,
'Powered': <true>, 'Connected': <false>, 'Tethering': <false>})],)
00:00:01.205: GLW             [INFO ]:OpenGLES Renderer: 'VideoCore IV HW' by 'Broadcom'
00:00:01.321: RPI             [DEBUG]:UI starting
00:00:01.322: GLW             [DEBUG]:UI size scale changed to 38 (user adj: 9  skin adj: 0) 
00:00:01.323: RPI             [DEBUG]:Backdrop loading skin://graphics/background.jpg

#6 - 08/07/2015 12:38 PM - Andreas Smas

I think this was a duplicate of #2748

#7 - 08/07/2015 12:39 PM - Andreas Smas
- Duplicates Bug #2748: Skip forward/backward won't work (regression) added

#8 - 08/07/2015 12:39 PM - Andreas Smas
- Status changed from Need feedback to Fixed
